Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions
@ 2019-11-05 16:09 voidlinux-github
  2019-11-05 17:26 ` voidlinux-github
                   ` (3 more replies)
  0 siblings, 4 replies; 5+ messages in thread
From: voidlinux-github @ 2019-11-05 16:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3416 bytes --]

New issue by schmidh on void-packages repository

https://github.com/void-linux/void-packages/issues/16146

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->
### System

* xuname:  
  dmesg: read kernel buffer failed: Operation not permitted
  Void 5.3.8_2 x86_64 AuthenticAMD uptodate rrFFFFFF*
* package:  
  *  % xbps-query calibre
architecture: x86_64
build-date: 2019-10-21 13:57 UTC
changelog: https://raw.githubusercontent.com/kovidgoyal/calibre/master/Changelog.yaml
filename-sha256: 3e474cba8e79c486786558c0dce680dfd6702dd8f91adca4e440e4c79b2ecec4
filename-size: 23MB
homepage: https://calibre-ebook.com
install-date: 2019-11-05 16:40 CET
install-script: 1256B
installed_size: 59MB
license: GPL-3.0-only
maintainer: bra1nwave <bra1nwave@protonmail.com>
metafile-sha256: 03a011ad43075a1cf611e60a501ec1c37c1234b35121efdf6be55de1ac07e533
pkgver: calibre-4.2.0_1
remove-script: 1251B
repository: https://alpha.de.repo.voidlinux.org/current
shlib-requires:
        libpython2.7.so.1.0
        libusb-1.0.so.0
        libc.so.6
        libz.so.1
        libcrypto.so.45
        libhunspell-1.7.so.0
        libstdc++.so.6
        libgcc_s.so.1
        libm.so.6
        libmtp.so.9
        libicui18n.so.64
        libicuuc.so.64
        libQt5Widgets.so.5
        libQt5Gui.so.5
        libQt5Core.so.5
        libGL.so.1
        libpthread.so.0
        libfontconfig.so.1
        libfreetype.so.6
        libgthread-2.0.so.0
        libglib-2.0.so.0
        libQt5DBus.so.5
        libpodofo.so.0.9.6
        libchm.so.0
short_desc: Ebook management application
source-revisions: calibre:8234ff96616
state: installed*

### Expected behavior
I want to convert a document to pdf.

### Actual behavior
Conversion crashes.

### Steps to reproduce the behavior
Open calibre, select `Quick Start Guide`, right-click `Convert Books`, `Convert Individually`. Select `Output Format` `PDF`. Then press `OK` button.

When running calibre with `export QT_DEBUG_PLUGINS=1` it prints out following messages:

```
Got keys from plugin meta data ("xcb")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platforms" ...
Cannot load library /usr/lib/calibre/calibre/plugins/libheadless.so: (/usr/lib/calibre/calibre/plugins/libheadless.so: undefined symbol: _ZN11QFontEngine22lockedAlphaMapForGlyphEj6QFixedNS_11GlyphFormatERK10QTransformP6QPoint, version Qt_5_PRIVATE_API)
QLibraryPrivate::loadPlugin failed on "/usr/lib/calibre/calibre/plugins/libheadless.so" : "Cannot load library /usr/lib/calibre/calibre/plugins/libheadless.so: (/usr/lib/calibre/calibre/plugins/libheadless.so: undefined symbol: _ZN11QFontEngine22lockedAlphaMapForGlyphEj6QFixedNS_11GlyphFormatERK10QTransformP6QPoint, version Qt_5_PRIVATE_API)"
qt.qpa.plugin: Could not find the Qt platform plugin "headless" in "/usr/lib/calibre/calibre/plugins"
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: headless (from /usr/lib/calibre/calibre/plugins), wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
```

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: package: calibre 4.2.0 - Failure in Document Conversions
  2019-11-05 16:09 [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions voidlinux-github
@ 2019-11-05 17:26 ` voidlinux-github
  2019-11-05 17:48 ` voidlinux-github
                   ` (2 subsequent siblings)
  3 siblings, 0 replies; 5+ messages in thread
From: voidlinux-github @ 2019-11-05 17:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 233 bytes --]

New comment by bra1nwave on void-packages repository

https://github.com/void-linux/void-packages/issues/16146#issuecomment-549925158

Comment:
I'm looking into it. The ebook viewer also doesn't work.

Anyway thanks for reporting!

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: package: calibre 4.2.0 - Failure in Document Conversions
  2019-11-05 16:09 [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions voidlinux-github
  2019-11-05 17:26 ` voidlinux-github
@ 2019-11-05 17:48 ` voidlinux-github
  2019-11-05 17:54 ` voidlinux-github
  2019-11-07 16:27 ` [ISSUE] [CLOSED] " voidlinux-github
  3 siblings, 0 replies; 5+ messages in thread
From: voidlinux-github @ 2019-11-05 17:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 201 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/issues/16146#issuecomment-549936359

Comment:
looks like it needs a rebuild against the new qt5 version.

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: package: calibre 4.2.0 - Failure in Document Conversions
  2019-11-05 16:09 [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions voidlinux-github
  2019-11-05 17:26 ` voidlinux-github
  2019-11-05 17:48 ` voidlinux-github
@ 2019-11-05 17:54 ` voidlinux-github
  2019-11-07 16:27 ` [ISSUE] [CLOSED] " voidlinux-github
  3 siblings, 0 replies; 5+ messages in thread
From: voidlinux-github @ 2019-11-05 17:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 328 bytes --]

New comment by bra1nwave on void-packages repository

https://github.com/void-linux/void-packages/issues/16146#issuecomment-549939027

Comment:
Yeah, but the ebook viewer still doesn't work (even with the [archlinux patch](https://git.archlinux.org/svntogit/community.git/tree/trunk/calibre-qt-5.13.2.patch?h=packages/calibre))

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [ISSUE] [CLOSED] package: calibre 4.2.0 - Failure in Document Conversions
  2019-11-05 16:09 [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions voidlinux-github
                   ` (2 preceding siblings ...)
  2019-11-05 17:54 ` voidlinux-github
@ 2019-11-07 16:27 ` " voidlinux-github
  3 siblings, 0 replies; 5+ messages in thread
From: voidlinux-github @ 2019-11-07 16:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3419 bytes --]

Closed issue by schmidh on void-packages repository

https://github.com/void-linux/void-packages/issues/16146

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->
### System

* xuname:  
  dmesg: read kernel buffer failed: Operation not permitted
  Void 5.3.8_2 x86_64 AuthenticAMD uptodate rrFFFFFF*
* package:  
  *  % xbps-query calibre
architecture: x86_64
build-date: 2019-10-21 13:57 UTC
changelog: https://raw.githubusercontent.com/kovidgoyal/calibre/master/Changelog.yaml
filename-sha256: 3e474cba8e79c486786558c0dce680dfd6702dd8f91adca4e440e4c79b2ecec4
filename-size: 23MB
homepage: https://calibre-ebook.com
install-date: 2019-11-05 16:40 CET
install-script: 1256B
installed_size: 59MB
license: GPL-3.0-only
maintainer: bra1nwave <bra1nwave@protonmail.com>
metafile-sha256: 03a011ad43075a1cf611e60a501ec1c37c1234b35121efdf6be55de1ac07e533
pkgver: calibre-4.2.0_1
remove-script: 1251B
repository: https://alpha.de.repo.voidlinux.org/current
shlib-requires:
        libpython2.7.so.1.0
        libusb-1.0.so.0
        libc.so.6
        libz.so.1
        libcrypto.so.45
        libhunspell-1.7.so.0
        libstdc++.so.6
        libgcc_s.so.1
        libm.so.6
        libmtp.so.9
        libicui18n.so.64
        libicuuc.so.64
        libQt5Widgets.so.5
        libQt5Gui.so.5
        libQt5Core.so.5
        libGL.so.1
        libpthread.so.0
        libfontconfig.so.1
        libfreetype.so.6
        libgthread-2.0.so.0
        libglib-2.0.so.0
        libQt5DBus.so.5
        libpodofo.so.0.9.6
        libchm.so.0
short_desc: Ebook management application
source-revisions: calibre:8234ff96616
state: installed*

### Expected behavior
I want to convert a document to pdf.

### Actual behavior
Conversion crashes.

### Steps to reproduce the behavior
Open calibre, select `Quick Start Guide`, right-click `Convert Books`, `Convert Individually`. Select `Output Format` `PDF`. Then press `OK` button.

When running calibre with `export QT_DEBUG_PLUGINS=1` it prints out following messages:

```
Got keys from plugin meta data ("xcb")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platforms" ...
Cannot load library /usr/lib/calibre/calibre/plugins/libheadless.so: (/usr/lib/calibre/calibre/plugins/libheadless.so: undefined symbol: _ZN11QFontEngine22lockedAlphaMapForGlyphEj6QFixedNS_11GlyphFormatERK10QTransformP6QPoint, version Qt_5_PRIVATE_API)
QLibraryPrivate::loadPlugin failed on "/usr/lib/calibre/calibre/plugins/libheadless.so" : "Cannot load library /usr/lib/calibre/calibre/plugins/libheadless.so: (/usr/lib/calibre/calibre/plugins/libheadless.so: undefined symbol: _ZN11QFontEngine22lockedAlphaMapForGlyphEj6QFixedNS_11GlyphFormatERK10QTransformP6QPoint, version Qt_5_PRIVATE_API)"
qt.qpa.plugin: Could not find the Qt platform plugin "headless" in "/usr/lib/calibre/calibre/plugins"
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: headless (from /usr/lib/calibre/calibre/plugins), wayland-org.kde.kwin.qpa, eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
```

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, back to index

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-11-05 16:09 [ISSUE] package: calibre 4.2.0 - Failure in Document Conversions voidlinux-github
2019-11-05 17:26 ` voidlinux-github
2019-11-05 17:48 ` voidlinux-github
2019-11-05 17:54 ` voidlinux-github
2019-11-07 16:27 ` [ISSUE] [CLOSED] " voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git